[arch-commits] Commit in evolution-data-server/repos/staging-x86_64 (2 files)

Jan Steffens heftig at archlinux.org
Fri Oct 2 17:25:40 UTC 2020


    Date: Friday, October 2, 2020 @ 17:25:40
  Author: heftig
Revision: 397101

archrelease: copy trunk to staging-x86_64

Added:
  evolution-data-server/repos/staging-x86_64/PKGBUILD
    (from rev 397099, evolution-data-server/trunk/PKGBUILD)
Deleted:
  evolution-data-server/repos/staging-x86_64/PKGBUILD

----------+
 PKGBUILD |  102 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 51 insertions(+), 51 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-10-02 17:25:40 UTC (rev 397100)
+++ PKGBUILD	2020-10-02 17:25:40 UTC (rev 397101)
@@ -1,51 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
-# Contributor: Jan de Groot <jgc at archlinux.org>
-
-pkgname=evolution-data-server
-pkgver=3.38.0
-pkgrel=1
-pkgdesc="Centralized access to appointments and contacts"
-url="https://wiki.gnome.org/Apps/Evolution"
-arch=(x86_64)
-depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
-makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
-provides=(libcamel-1.2.so libebackend-1.2.so libebook-1.2.so libebook-contacts-1.2.so
-          libecal-2.0.so libedata-book-1.2.so libedata-cal-2.0.so libedataserver-1.2.so
-          libedataserverui-1.2.so)
-license=(GPL)
-_commit=2f52415b96e012ebb6fd8dece24148c46e407c67  # tags/3.38.0^0
-source=("git+https://gitlab.gnome.org/GNOME/evolution-data-server.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  CFLAGS+=" $CPPFLAGS"
-  CXXFLAGS+=" $CPPFLAGS"
-  cmake -S $pkgname -B build -G Ninja \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIBEXEC_INSTALL_DIR=/usr/lib \
-    -DSYSCONF_INSTALL_DIR=/etc \
-    -DENABLE_INTROSPECTION=ON \
-    -DENABLE_VALA_BINDINGS=ON \
-    -DENABLE_GTK_DOC=ON \
-    -DWITH_PHONENUMBER=ON
-  cmake --build build
-}
-
-check() {
-  # libedata-book tests fail because they try to
-  # mkdir /usr/lib/evolution-data-server/camel-providers
-  cmake --build build --target test || :
-}
-
-package() {
-  DESTDIR="$pkgdir" cmake --install build
-}

Copied: evolution-data-server/repos/staging-x86_64/PKGBUILD (from rev 397099, evolution-data-server/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-10-02 17:25:40 UTC (rev 397101)
@@ -0,0 +1,51 @@
+# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=evolution-data-server
+pkgver=3.38.1
+pkgrel=1
+pkgdesc="Centralized access to appointments and contacts"
+url="https://wiki.gnome.org/Apps/Evolution"
+arch=(x86_64)
+depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
+provides=(libcamel-1.2.so libebackend-1.2.so libebook-1.2.so libebook-contacts-1.2.so
+          libecal-2.0.so libedata-book-1.2.so libedata-cal-2.0.so libedataserver-1.2.so
+          libedataserverui-1.2.so)
+license=(GPL)
+_commit=adfffe7c0835cc58f9b170484669c0b3b9d48e91  # tags/3.38.1^0
+source=("git+https://gitlab.gnome.org/GNOME/evolution-data-server.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  CFLAGS+=" $CPPFLAGS"
+  CXXFLAGS+=" $CPPFLAGS"
+  cmake -S $pkgname -B build -G Ninja \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLIBEXEC_INSTALL_DIR=/usr/lib \
+    -DSYSCONF_INSTALL_DIR=/etc \
+    -DENABLE_INTROSPECTION=ON \
+    -DENABLE_VALA_BINDINGS=ON \
+    -DENABLE_GTK_DOC=ON \
+    -DWITH_PHONENUMBER=ON
+  cmake --build build
+}
+
+check() {
+  # libedata-book tests fail because they try to
+  # mkdir /usr/lib/evolution-data-server/camel-providers
+  cmake --build build --target test || :
+}
+
+package() {
+  DESTDIR="$pkgdir" cmake --install build
+}


More information about the arch-commits mailing list